/*
 * Class INDEXABLE_ITERATION_CURSOR [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_655 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_655 [] = {0xFF01,237,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_2_655 [] = {0xFF01,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_3_655 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_655 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_655 [] = {0xFF01,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_6_655 [] = {0xFF01,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_7_655 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_655 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_655 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_655 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_655 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_655 [] = {654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_13_655 [] = {0xFF01,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_14_655 [] = {0xFF01,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_15_655 [] = {0xFF01,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_16_655 [] = {0xFF01,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_17_655 [] = {0xFF01,654,182,0xFFFF};
static const EIF_TYPE_INDEX egt_18_655 [] = {0xFF01,657,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_655 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_655 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_655 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_655 [] = {0xFF01,654,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_655 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_655[] = {
	{EIF_GENERIC(NULL), 3238, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_655), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_655), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_655), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_655), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_655), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_655), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_655), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_655), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_655), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_655), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_655), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_655), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_655), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_655), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3241, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3242, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 3243, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 3244, 20},
	{EIF_NON_GENERIC(0x019D /*206*/), 3245, 24},
	{EIF_GENERIC(egt_14_655), 3247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_655), 3248, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_655), 3224, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_655), 3225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 3226, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 3228, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 3229, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3231, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3232, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3233, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3234, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_655), 3236, 0},
	{EIF_GENERIC(egt_19_655), 3237, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_655), 3240, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3227, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3235, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_655), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_655), 3246, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_655), -1, 0xFFFFFFFF},
};
void Init655(void)
{
	IDSC(desc_655, 0, 654);
	IDSC(desc_655 + 1, 1, 654);
	IDSC(desc_655 + 32, 194, 654);
	IDSC(desc_655 + 52, 245, 654);
	IDSC(desc_655 + 56, 99, 654);
}


#ifdef __cplusplus
}
#endif
